import { defineColumns } from '@bole-core/components';

export const columns = defineColumns([
  {
    id: '1',
    enCode: 'channel',
    name: '渠道',
    width: 160,
  },
  {
    id: '2',
    enCode: 'channel',
    name: '批次号',
    width: 160,
  },
  {
    id: '3',
    enCode: 'orderNo',
    name: '保单号',
    width: 160,
  },
  {
    id: '4',
    enCode: 'orderNo',
    name: '投保人',
    width: 160,
  },
  {
    id: '5',
    enCode: 'orderNo',
    name: '被保人',
    width: 160,
  },
  {
    id: '6',
    enCode: 'insuranceBeginTime',
    name: '保险起期',
    width: 160,
  },
  {
    id: '7',
    enCode: 'insuranceEndTime',
    name: '保险止期',
    width: 160,
  },
  {
    id: '8',
    enCode: 'insuredInstitution',
    name: '参保机构',
    width: 160,
  },
  {
    id: '9',
    enCode: 'insuranceScheme',
    name: '投保方案',
    width: 160,
  },
  {
    id: '10',
    enCode: 'insuranceType',
    name: '投保方式',
    width: 160,
  },
  {
    id: '11',
    enCode: 'insuranceType',
    name: '投保人数',
    width: 160,
  },
  {
    id: '12',
    enCode: 'insuranceType',
    name: '总保额(元)',
    width: 200,
  },
  {
    id: '13',
    enCode: 'insuranceType',
    name: '总保费(元)',
    width: 160,
  },
  {
    id: '14',
    enCode: 'createTime',
    name: '最近导入日期',
    width: 160,
  },
  {
    id: '15',
    enCode: 'insuranceType',
    name: '投保状态',
    width: 160,
  },
  {
    id: '16',
    enCode: 'insuranceType',
    name: '理赔数量',
    width: 160,
  },
]).filter(Boolean);
